For the complete documentation index, see llms.txt. This page is also available as Markdown.

Colombia

Retrieve recipient data from QRCODE

POST https://sandbox.transfersmile.com/api/payout/bank-account-list

This endpoint allows you to retrieve the recipient's data from QRCODE.

Headers

Name
Type
Description

Content-Type*

string

application/json; charset=UTF-8

AppId*

string

Get AppId from dashboard

Authorization*

string

signature, generated by SHA256($sorted_params + $app_key)

Request Body

Name
Type
Description

country*

string

Country Code.

- COL

method*

string

Method - Fixed value: QRCODE -

account_type*

string

Account type - Fixed value: QRCODE

account*

string

Beneficiary's QRCode

timestamp*

Integer

unix timestamp, e.g. 1628512575

buyer_id

string

merchant user's id

email

string

User's email - Max. 200 chars -

{
    "code": 200,
    "msg": "success",
    "time": 1781502447,
    "data": [
        {
            "name": "PG*** PA*** CO***",
            "document_id": "",
            "document_type": "",
            "bank_code": "",
            "bank_name": "",
            "bank_number": "",
            "account": "",
            "account_type": "",
            "amount": "1000.00",
            "scan_id": "QH2026********",
            "qrcode_type": "DYNAMIC_INSTANT_PAYMENT"
        }
    ]
}

Example

Note: 94FAC***************68548 is pagsmile's test merchant id for sandbox, and d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302 is authorization token associated with the test App ID.

Last updated